Bug 23855 - Cannot mark the selected suggestion as "pending"
Summary: Cannot mark the selected suggestion as "pending"
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low major (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 22905
Blocks: 23594
  Show dependency treegraph
 
Reported: 2019-10-21 15:53 UTC by Jonathan Druart
Modified: 2019-11-08 15:16 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00,19.05.05


Attachments
Bug 23855: Fix "Mark selected suggestion as" status (1.69 KB, patch)
2019-10-21 15:56 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 23855: Fix "Mark selected suggestion as" status (1.75 KB, patch)
2019-10-23 11:33 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 23855: Fix "Mark selected suggestion as" status (1.81 KB, patch)
2019-10-24 06:07 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2019-10-21 15:53:50 UTC
On the suggestions management page (suggestion/suggestion.pl) you can select suggestions and change their status.
But it only works for "ACCEPTED" or "REJECTED".

Maybe caused by bug 22905.
Comment 1 Jonathan Druart 2019-10-21 15:56:52 UTC
Created attachment 94462 [details] [review]
Bug 23855: Fix "Mark selected suggestion as" status

On the suggestions management page (suggestion/suggestion.pl) you can
select suggestions and change their status.
But it only works for "ACCEPTED" or "REJECTED".

Maybe caused by bug 22905.

Test plan:
Select at least one suggestion on the screen and select the "Pending"
status.
=> The status of the selected suggestions must have been updated
Comment 2 Nick Clemens 2019-10-23 11:33:15 UTC
Created attachment 94612 [details] [review]
Bug 23855: Fix "Mark selected suggestion as" status

On the suggestions management page (suggestion/suggestion.pl) you can
select suggestions and change their status.
But it only works for "ACCEPTED" or "REJECTED".

Maybe caused by bug 22905.

Test plan:
Select at least one suggestion on the screen and select the "Pending"
status.
=> The status of the selected suggestions must have been updated

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 3 Katrin Fischer 2019-10-24 06:07:25 UTC
Created attachment 94643 [details] [review]
Bug 23855: Fix "Mark selected suggestion as" status

On the suggestions management page (suggestion/suggestion.pl) you can
select suggestions and change their status.
But it only works for "ACCEPTED" or "REJECTED".

Maybe caused by bug 22905.

Test plan:
Select at least one suggestion on the screen and select the "Pending"
status.
=> The status of the selected suggestions must have been updated

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Martin Renvoize 2019-10-24 09:56:48 UTC
Nice work!

Pushed to master for 19.11.00
Comment 5 Martin Renvoize 2019-10-24 10:00:16 UTC
Nice work!

Pushed to master for 19.11.00
Comment 6 Fridolin SOMERS 2019-11-08 15:16:24 UTC
Pushed to 19.05.x for 19.05.05